set terminal pdfcairo enhanced color size 4,4 fontscale 0.5\
    font 'Arial,14' linewidth 1 dl 2
    
set key font ',12'



set ylabel offset 1
set xlabel offset 0,0.5

set lmargin 9
set rmargin 9
set tmargin 3
set bmargin 6

a = 1

set style line 1 lw 2 ps 0.75 pt 2 lc rgb '#1B9E77' # dark teal
set style line 2 dashtype (2,2) lw 2 ps 0.75 pt 4 lc rgb '#D95F02' # dark orange
set style line 3 dashtype (4,2) lw 2 ps 0.75 pt 6 lc rgb '#7570B3' # dark lilac
set style line 4 dashtype (6,2) lw 2 ps 0.75 pt 8 lc rgb '#E7298A' # dark magenta
set style line 5 dashtype 5 lw 2 ps 0.75 pt 10 lc rgb '#66A61E' # dark lime green
set style line 6 dashtype 6 lw 2 ps 0.75 pt 2 lc rgb '#E6AB02' # dark banana
set style line 7 dashtype 7 lw 2 ps 0.75 pt 3 lc rgb '#A6761D' # dark tan
set style line 8 dashtype 8 lw 2 ps 0.75 pt 5 lc rgb '#666666' # dark gray
set style line 9 dashtype 9 lw 2 ps 0.75 pt 7 lc rgb "#cab2d6"
set style line 10 dashtype 10 lw 2 ps 0.75 pt 9 lc rgb "#6a3d9a"
set style line 11 dashtype 11 lw 2 ps 0.75 pt 11 lc rgb "#222222"
set style line 12 dashtype 12 lw 2 ps 0.75 pt 13 lc rgb "#b15928"
set style line 13 dashtype 1 lw 2 ps 0.75 pt 13 lc rgb "#ffffff"

#Director-Strain (MASTER CURVE)
theta(x,m,n) = m-n*x

#Stress-Strain (MASTER CURVE)
sigma(x,A,c,d) = A*log((1+c*x)/(1-d*x))

#Inverted Strain-director CONSTANT FOR INITIAL STRAIN ON MASTER CURVE
epsilonINITIAL(t0,m,n) = (m-t0)/n

#FINAL STRESS ON MASTER CURVE (x is the stress applied)
sigmaFINAL(x,t0,m,n,A,c,d) = sigma(epsilonINITIAL(t0,m,n),A,c,d) + x

#Inverted Strain-Stress for finding final strain from master curve
epsilonFINAL(STRESS,t0,m,n,A,c,d) = (exp(sigmaFINAL(STRESS,t0,m,n,A,c,d)/A)-1)/(d*exp(sigmaFINAL(STRESS,t0,m,n,A,c,d)/A)+c)

#Final Strain along x
FinalStrainX(STRESS,t0,m,n,A,c,d) = epsilonFINAL(STRESS,t0,m,n,A,c,d) - epsilonINITIAL(t0,m,n)
set output "predicted deformations  Director dependency test.pdf"
#FullEqn
#strain(STRESS,t0,m,n,A,c,d) = ((1+c*epsilonINITIAL(t0,m,n))*(1-d*epsilonINITIAL(t0,m,n))*(exp(STRESS/A)-1))/(c*(1-d*epsilonINITIAL(t0,m,n))+d*(1+c*epsilonINITIAL(t0,m,n))*exp(STRESS/A))

m = 68.5
n = 27.6
A = 4.39
c = 0.4257
d = 0.4441
ymax = 1.4

set xrange [15:70]
set xlabel "Initial director angle [{\260}]"
set ylabel "Strain {/Symbol e}_x"
set yrange [0:ymax]
set ytics nomirror
set y2tics
set y2label "Director rotation angle [{\260}]"
set y2range [0:n*ymax]

off70 = 39542.3600
off54 = 32237.0300
off39 = 32761.4900
off28 = 53418.8200
off19 = 56196.5500

set key top left


plot FinalStrainX(5,x,m,n,A,c,d) ls 5 dashtype 5 title "True stress = 5 MPa",\
    FinalStrainX(4,x,m,n,A,c,d) ls 4 dashtype 4 title "4 MPa",\
    FinalStrainX(3,x,m,n,A,c,d) ls 3 dashtype 3 title "3 MPa",\
    FinalStrainX(2,x,m,n,A,c,d) ls 2 dashtype 2 title "2 MPa",\
    FinalStrainX(1,x,m,n,A,c,d) ls 1 dashtype 1 title "1 MPa",\
#    strain(5,x,m,n,A,c,d) ls 6 dashtype 1 title "compare",\

#pause -1